<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="pullUpField"
    nsURI="http://www.modelversioning.org/ecore/pullUpField" nsPrefix="puf">
  <eClassifiers xsi:type="ecore:EClass" name="Super">
    <eOperations name="anotherOperation"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="anotherField"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="yetAnotherField"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="field"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Subclass1" eSuperTypes="#//Super"/>
  <eClassifiers xsi:type="ecore:EClass" name="Subclass2" eSuperTypes="#//Super"/>
  <eClassifiers xsi:type="ecore:EClass" name="Subclass3" eSuperTypes="#//Super"/>
  <eClassifiers xsi:type="ecore:EClass" name="OrthClass">
    <eOperations name="operation"/>
  </eClassifiers>
</ecore:EPackage>
